WishList MeshPlaneIntersection Python


#1

I am attempting to intersect a mesh with a list of planes similar to the Mesh|Plane Intersect component inside grasshopper. Is there a way I can accomplish this using the rhinoscriptsyntax? Currently my best method of attack has been to convert the plane into a large mesh then using rs.MeshMeshIntersection and interpolating the resulting points into curves. Is there a better way I could be approaching this problem?
Thanks,
5chmidt


(Dale Fugier) #2

My guess is this is what Grasshopper is doing. So I think you are taking the correct approach.


(Steve Baer) #3

That is not exactly what Grasshopper is doing. There is a function in RhinoCommon to achieve this which is what the Grasshopper component is directly accessing

There is no rhinoscriptsyntax function that uses this RhinoCommon function, but you should be able to throw a little “RhinoCommon access” into the middle of your python script to run the function.


#4

Hi Steve,
@stevebaer
Can you please attach the script files when you post scripts because the cut and paste routine can become error prone and going to github etc might produce the same errors. With an attachment the scripts are sure to work. I know it’s an extra step for you but it’s nice for us users and no worrying about if we got the formatting right. Hope it’s doable and thanks for all this marvelous work.

RM


Updating rhinoscriptsyntax
(Steve Baer) #5

This was not a script sample. It is the actual function imlpementation in RhinoCommon that I was referring to. It probably would have been better for me to post this link instead since it refers to the function in the SDK reference.

http://4.rhino3d.com/5/rhinocommon/html/M_Rhino_Geometry_Intersect_Intersection_MeshPlane_1.htm


(Steve Baer) #6

I moved a post to a new topic: Updating rhinoscriptsyntax


#7

thank you Steve for giving it a title.

c.